> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fullenrich.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Reverse Email Result

> Use this endpoint to retrieve the result from a reverse email lookup.

Use this endpoint to retrieve the result from a reverse email lookup.

You don’t need to use this endpoint if you are using a webhook. Using a webhook is the method we recommend to get the result as soon as the enrichment is done.


## OpenAPI

````yaml get /contact/reverse/email/bulk/{reverse_email_id}
openapi: 3.1.0
info:
  title: FullEnrich API Documentation
  version: 1.0.0
servers:
  - url: https://app.fullenrich.com/api/v1
security: []
paths:
  /contact/reverse/email/bulk/{reverse_email_id}:
    get:
      summary: Get Bulk Reverse Email Results
      description: Use this endpoint to retrieve the result from a reverse email lookup.
      operationId: GetContactBulkReverseEmailByID
      parameters:
        - name: reverse_email_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseGetContactBulkReverseEmail'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                AuthorizationHeaderNotSet:
                  value:
                    code: error.authorization.not_set
                    message: Authorization headers not set
                AuthorizationHeaderNotAnBearer:
                  value:
                    code: error.authorization.not_bearer
                    message: Authorization headers not have prefix 'bearer'
                UnknownApiKey:
                  value:
                    code: error.api.key
                    message: Unknown api key
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseGetContactBulkReverseEmail'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                ReverseEmailNotFound:
                  value:
                    code: error.reverse.email.not_found
                    message: Reverse email ID not found
      security:
        - BearerAuth: []
components:
  schemas:
    ResponseGetContactBulkReverseEmail:
      type: object
      properties:
        id:
          type: string
          format: uuid
          examples:
            - 2db5ea61-1752-42cf-8ea1-ab1da060cd0a
        name:
          type: string
          examples:
            - Start Reverse Email Lookup Operation
        status:
          type: string
          examples:
            - FINISHED
          enum:
            - CREATED
            - IN_PROGRESS
            - CANCELED
            - CREDITS_INSUFFICIENT
            - FINISHED
            - RATE_LIMIT
            - UNKNOWN
        datas:
          type: array
          items:
            $ref: '#/components/schemas/RecordReverseEmail'
        cost:
          $ref: '#/components/schemas/Cost'
      x-stoplight:
        id: o5udhwl7oihgf
    Error:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
      x-stoplight:
        id: v5d69l7ks2svx
    RecordReverseEmail:
      type: object
      properties:
        input:
          $ref: '#/components/schemas/InputReverseEmail'
        contact:
          $ref: '#/components/schemas/ContactReverseEmail'
      x-stoplight:
        id: felj7cfxa3c2z
    Cost:
      type: object
      properties:
        credits:
          type: number
          format: int
          description: Number of credits consumed for this enrichment
          examples:
            - 1
            - 0
    InputReverseEmail:
      type: object
      properties:
        email:
          type: string
          examples:
            - john.snow@example.com
      x-stoplight: null
    ContactReverseEmail:
      type: object
      properties:
        firstname:
          type: string
          examples:
            - john
        lastname:
          type: string
          examples:
            - snow
        domain:
          type: string
          examples:
            - example.com
        profile:
          $ref: '#/components/schemas/Profile'
      x-stoplight:
        id: jldjs91ydll8o
    Profile:
      type: object
      properties:
        linkedin_id:
          type: number
          format: int
          examples:
            - 1234567890
        linkedin_url:
          type: string
          examples:
            - https://www.linkedin.com/in/john-snow
        linkedin_handle:
          type: string
          examples:
            - john-snow
        sales_navigator_id:
          type: string
          examples:
            - ACoAAAAmaeEB8HhLAj6PTIYE1fU0DQc4CAkf8..
        firstname:
          type: string
          examples:
            - john
        lastname:
          type: string
          examples:
            - snow
        premium_account:
          type: boolean
          examples:
            - true
        location:
          type: string
          examples:
            - Paris
        summary:
          type: string
          examples:
            - Business oriented leader with broad experience within industry
        headline:
          type: string
          examples:
            - CTO & cofounder
        position:
          $ref: '#/components/schemas/ProfilePosition'
    ProfilePosition:
      type: object
      properties:
        title:
          type: string
          examples:
            - Chief Technical Officer
        description:
          type: string
          examples:
            - ...
        start_at:
          $ref: '#/components/schemas/ProfileDate'
        end_at:
          $ref: '#/components/schemas/ProfileDate'
        company:
          $ref: '#/components/schemas/ProfileCompany'
    ProfileDate:
      type: object
      properties:
        month:
          type: number
          format: int
          examples:
            - 6
        year:
          type: number
          format: int
          examples:
            - 2024
    ProfileCompany:
      type: object
      properties:
        linkedin_id:
          type: number
          format: int
          examples:
            - 9876543210
        linkedin_url:
          type: string
          examples:
            - https://www.linkedin.com/company/fullenrich
        linkedin_handle:
          type: string
          examples:
            - fullenrich
        name:
          type: string
          examples:
            - Fullenrich
        description:
          type: string
          examples:
            - ...
        website:
          type: string
          examples:
            - https://www.fullenrich.com
        domain:
          type: string
          examples:
            - fullenrich.com
        industry:
          type: string
          examples:
            - ...
        type:
          type: string
          examples:
            - ...
        year_founded:
          type: number
          format: int
          examples:
            - 1979
        headcount:
          type: number
          format: int
          examples:
            - 27367
        headcount_range:
          type: string
          examples:
            - 10K+
        headquarters:
          $ref: '#/components/schemas/ProfileCompanyHeadquaters'
    ProfileCompanyHeadquaters:
      type: object
      properties:
        region:
          type: string
          examples:
            - IDF
        city:
          type: string
          examples:
            - Paris
        country:
          type: string
          examples:
            - France
        country_code:
          type: string
          examples:
            - FR
        postal_code:
          type: string
          examples:
            - '75001'
        address_line_1:
          type: string
          examples:
            - Avenue des champs elysées
        address_line_2:
          type: string
          examples:
            - ''
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````